## org.apache.commons.collections.list
Class TransformedList

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.TransformedCollection
                  org.apache.commons.collections.list.TransformedList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

    public class TransformedList

extends TransformedCollection
implements java.util.List

Decorates another `List` to transform objects that are added.

The add and set methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Nested Class Summary
`protected class` `TransformedList.TransformedListIterator` Inner class Iterator for the TransformedList

Field Summary

Fields inherited from class org.apache.commons.collections.collection.TransformedCollection
`transformer`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `TransformedList(java.util.List list, Transformer transformer)` Constructor that wraps (not copies).

Method Summary
`void` `add(int index, java.lang.Object object)`
`boolean` `addAll(int index, java.util.Collection coll)`
`static java.util.List` `decorate(java.util.List list, Transformer transformer)` Factory method to create a transforming list.
`java.lang.Object` `get(int index)`
`protected java.util.List` `getList()` Gets the decorated list.
`int` `indexOf(java.lang.Object object)`
`int` `lastIndexOf(java.lang.Object object)`
`java.util.ListIterator` `listIterator()`
`java.util.ListIterator` `listIterator(int i)`
`java.lang.Object` `remove(int index)`
`java.lang.Object` `set(int index, java.lang.Object object)`
`java.util.List` `subList(int fromIndex, int toIndex)`

Methods inherited from class org.apache.commons.collections.collection.TransformedCollection
`add, addAll, decorate, transform, transform`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### TransformedList

    protected TransformedList(java.util.List list,
                              Transformer transformer)

  Constructor that wraps (not copies).

  If there are any elements already in the list being decorated, they are NOT transformed.

  Parameters:
    `list` - the list to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if list or transformer is null

Method Detail

### decorate

    public static java.util.List decorate(java.util.List list,
                                          Transformer transformer)

  Factory method to create a transforming list.

  If there are any elements already in the list being decorated, they are NOT transformed.

  Parameters:
    `list` - the list to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if list or transformer is null

### getList

    protected java.util.List getList()

  Gets the decorated list.

  Returns:
    the decorated list

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`

### indexOf

    public int indexOf(java.lang.Object object)

  Specified by:
    `indexOf` in interface `java.util.List`

### lastIndexOf

    public int lastIndexOf(java.lang.Object object)

  Specified by:
    `lastIndexOf` in interface `java.util.List`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`

### add

    public void add(int index,
                    java.lang.Object object)

  Specified by:
    `add` in interface `java.util.List`

### addAll

    public boolean addAll(int index,
                          java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator(int i)

  Specified by:
    `listIterator` in interface `java.util.List`

### set

    public java.lang.Object set(int index,
                                java.lang.Object object)

  Specified by:
    `set` in interface `java.util.List`

### subList

    public java.util.List subList(int fromIndex,
                                  int toIndex)

  Specified by:
    `subList` in interface `java.util.List`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.